For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet the list of all the sub-accounts of the master account.
      • POSTCreate a new sub-account under a master account.
      • GETGet sub-account details
      • DELDelete a sub-account
      • PUTUpdate sub-account plan
      • PUTUpdate sub-accounts plan
      • POSTGenerate SSO token to access admin account
      • POSTGenerate SSO token to access sub-account
      • GETGet the details of requested master account
      • POSTCreate an API key for a sub-account
      • PUTEnable/disable sub-account application(s)
      • POSTCreate a new group of sub-accounts
      • GETList of all IPs
      • POSTAssociate an IP to sub-accounts
      • PUTDissociate an IP to sub-accounts
      • GETGET a group details
      • PUTUpdate a group of sub-accounts
      • DELDelete a group
      • PUTDelete sub-account from group
      • POSTSend invitation to an admin user
      • PUTResend / cancel admin user invitation
      • DELRevoke an admin user
      • GETGet the list of all admin users
      • GETCheck admin user permissions
      • PUTChange admin user permissions
      • GETGet the list of groups
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsMaster Account

Enable/disable sub-account application(s)

PUT
https://api.brevo.com/v3/corporate/subAccount/:id/applications/toggle
PUT
/v3/corporate/subAccount/:id/applications/toggle
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.masterAccount.enableDisableSubAccountApplicationS(1, {
8 landingPages: true,
9 meetings: true,
10 smsCampaigns: false,
11 webPush: false,
12 whatsapp: true,
13 });
14}
15main();

API endpoint for the Corporate owner to enable/disable applications on the sub-account

Was this page helpful?
Previous

Create a new group of sub-accounts

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

idlongRequired

Id of the sub-account organization (mandatory)

Request

List of applications to activate or deactivate on a sub-account

automationbooleanOptional

Set this field to enable or disable Automation on the sub-account

conversationsbooleanOptional

Set this field to enable or disable Conversations on the sub-account

crmbooleanOptional

Set this field to enable or disable Sales CRM on the sub-account

email-campaignsbooleanOptional

Set this field to enable or disable Email Campaigns on the sub-account

facebook-adsbooleanOptional

Set this field to enable or disable Facebook ads on the sub-account

inboxbooleanOptional

Set this field to enable or disable Inbox on the sub-account / Not applicable on ENTv2

landing-pagesbooleanOptional

Set this field to enable or disable Landing pages on the sub-account

meetingsbooleanOptional

Set this field to enable or disable Meetings on the sub-account

sms-campaignsbooleanOptional

Set this field to enable or disable SMS Marketing on the sub-account

transactional-emailsbooleanOptional

Set this field to enable or disable Transactional Email on the sub-account

transactional-smsbooleanOptional

Set this field to enable or disable Transactional SMS on the sub-account

web-pushbooleanOptional

Set this field to enable or disable Web Push on the sub-account

whatsappbooleanOptional

Set this field to enable or disable Whatsapp campaigns on the sub-account

Response

Sub-account application(s) enabled/disabled

Errors

400
Bad Request Error
403
Forbidden Error